## earthworm_7.10beta-Windows32bin.zip

=== data_sources/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	adsend \
	adsendxs \
	gcf2ew \
	gdi2ew \
	geojson2ew \
	grf2ew \
	k2ew \
	naqs2ew \
	nmxptool \
	nq2ring \
	palert_svr \
	psnadsend \
	q2ew \
	q3302ew \
	reboot_mss \
	reboot_mss_ew \
	reftek2ew \
	samtac2ew \
	sara \
	scream2ew  \
	sr2ew \
	srpar2ew \
	srusb2ew \
	tideweb2ew \
	winsdr2ew

#
# List all modules to be compiled into the Solaris distribution
#

SOLARIS_MODULES = \
	grf2ew\
	k2ew \
	naqs2ew \
	nmxptool \
	q2ew \
	q3302ew \
	reboot_mss \
	reboot_mss_ew \
	scream2ew

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#
# Note that the MAJORITY of the data_source modules do NOT work on Mac OS X.

UNIX_MODULES = \
	grf2ew\
	k2ew \
	nmxptool \
	psnadsend \
	q2ew \
	q3302ew \
	scream2ew \
	sr2ew
# gcf2ew is known to compile on FC4, may not work on other Linuxes.
#	gcf2ew

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	grf2ew\
	k2ew \
	naqs2ew \
	psnadsend \
	q3302ew \
	reboot_mss \
	reboot_mss_ew \
	sara \
	scream2ew \
	sr2ew \
	winsdr2ew

# Turned off adsend because most folks don't have the NI includes.

#       If you've got the NI stuff, uncomment adsend and put it back in
#       the list above.
#
#	adsend \
#
# DK 082402  Note: The NT tree compilation will fail at adsend, unless you
# comment out the adsend line above, or you have the National Instruments
# header files to compile adsend.

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules: PHONY
	@for x in $(SOLARIS_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== display/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	ew2seisvole \
	heli_ewII \
	sgram \
	wave_viewer \
	webswave

#
# List all modules to be compiled into the Solaris distribution
#

SOLARIS_MODULES = \
	ew2seisvole \
	heli_ewII \
	sgram

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	ew2seisvole \
	heli_ewII \
	sgram \
	webswave

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	ew2seisvole \
	heli_ewII \
	sgram \
	wave_viewer

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules: PHONY
	@for x in $(SOLARIS_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== reporting/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	copystatus \
	diskmgr \
	ewhtmlemail \
	ewhtmlreport \
	ewhttpd \
	gmewhtmlemail \
	moleserv \
	nq2gif \
	snwclient \
	statmgr

#
# List all modules to be compiled into the Solaris distribution
#

SOLARIS_MODULES = \
	copystatus \
	diskmgr \
	ewhtmlemail \
	ewhtmlreport \
	gmewhtmlemail \
	nq2gif \
	snwclient \
	statmgr

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	copystatus \
	diskmgr \
	ewhtmlemail \
	ewhtmlreport \
	ewhttpd \
	gmewhtmlemail \
	nq2gif \
	snwclient \
	statmgr

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	copystatus \
	diskmgr \
	ewhtmlemail \
	ewhtmlreport \
	gmewhtmlemail \
	statmgr

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules: PHONY
	@for x in $(SOLARIS_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== seismic_processing/Makefile ===
#
#       Makefile for the Earthworm seismic_processing modules
#
#
# This makefile contains all the directives necessary to compile the
# Earthworm seismic_processing modules on Solaris, Unix (Linux and OS X),
# and NT, as well as clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on Solaris:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on Unix (Llinux and OS X):
#        make unix
#
# 3. To build (compile) the Earthworm modules on Windows:
#        nmake nt
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on Solaris:
#        make clean_solaris
#
# 5. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on Unix (Linux and OS X):
#        make clean_unix
#
# 6. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on Windows:
#        nmake clean_nt
#
# 7. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on Solaris:
#        make clean_bin_solaris
#
# 8. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on Unix (Linux and OS X):
#        make clean_bin_solaris
#
# 9. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on Windows:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	$(C_MODULES) \
	eqfilterII \
	eqmaxel \
	eqverify_assemble \
	geqproc \
	globalproc \
	Mm \
	Ms \
	nll_mgr \
	nq2pgm \
	Theta \
	$(FORTRAN_MODULES)

C_MODULES = \
	binder_ew \
	carlstatrig \
	carlsubtrig \
	coda_aav \
	coda_dur \
	compress_UA \
	debias \
	decimate \
	decompress_UA \
	eqassemble \
	eqbuf \
	eqcoda \
	eqfilter \
	eqprelim \
	eqproc \
	eqverify \
	evansassoc \
	evanstrig \
	ew_rsamalarm \
	ew2rsam \
	ew2ssam \
	ewaccel \
	ewdrift \
	ewintegrate \
	ewnotify \
	ewshear \
	ewspectra \
	ewthresh \
	fir \
	gmew \
	hypAssoc \
	loc_wcatwc \
	localmag \
	pick_ew \
	pick_FP \
	pick_wcatwc \
	pkfilter \
	raypicker \
	statrigfilter \
	wftimefilter \
	wftimeshifter

FORTRAN_MODULES = \
	hyp71_mgr \
	hyp2000 \
	hyp2000_mgr \
	Hypo71PC \
	rayloc_ew

#
# List all modules to be compiled into the Solaris distribution
#

SOLARIS_MODULES = \
	$(C_MODULES) \
	nll_mgr \
	$(FORTRAN_MODULES)

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	$(C_MODULES) \
	nll_mgr \
	$(FORTRAN_MODULES)

#
# List all modules to be compiled into the Windows distribution
#

# The Windows modules are determined in nt_modules target recipe

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules: PHONY
	@for x in $(SOLARIS_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(C_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)
	-@if NOT "$(FC)" == "" ( \
		for %x in ( $(FORTRAN_MODULES) ) \
		do @( \
			pushd %x & \
				echo ---------- & \
				for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
				$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
			popd \
		) \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== system_control/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	pau \
	reconfigure \
	restart \
	startstop_nt \
	startstop_service \
	startstop_solaris \
	startstop_unix \
	status \
	stopmodule

#
# List all modules to be compiled into the Solaris distribution
#

SOLARIS_MODULES = \
	pau \
	reconfigure \
	restart \
	startstop_solaris \
	status \
	stopmodule

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	pau \
	reconfigure \
	restart \
	startstop_unix \
	status \
	stopmodule

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	pau \
	reconfigure \
	restart \
	startstop_nt \
	startstop_service \
	status \
	stopmodule

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules: PHONY
	@for x in $(SOLARIS_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== grab_bag/makeTTTable/Makefile ===
SRCS = \
	calc_tt.f \
	ntrbl.f \
	Iasp91/libsun.f \
	Iasp91/libtau.f

calc_tt: $(SRCS)
	$(FC) -o $@ $(FFLAGS) $(SRCS)


# Clean-up rules
.PHONY: clean clean_bin

clean:
	-$(RM) a.out core *.o *.obj *% *~
	-$(RM) -r calc_tt.dSYM

clean_bin:
	-$(RM) calc_tt

=== libsrc/libdali/Makefile ===

# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use


MAJOR_VER = 1
MINOR_VER = 7
CURRENT_VER = $(MAJOR_VER).$(MINOR_VER)
COMPAT_VER  = $(MAJOR_VER).$(MINOR_VER)

LIB_SRCS = \
	config.c \
	connection.c \
	genutils.c \
	logging.c \
	network.c \
	parse_ip_address.c \
	portable.c \
	statefile.c \
	strutils.c \
	timeutils.c

LIB_OBJS  = $(LIB_SRCS:.c=.o)
LIB_DOBJS = $(LIB_SRCS:.c=.lo)

LIB_A           = libdali.a
LIB_SO_FILENAME = libdali.so
LIB_SO_ALIAS    = $(LIB_SO_FILENAME).$(MAJOR_VER)
LIB_SO          = $(LIB_SO_FILENAME).$(CURRENT_VER)
LIB_DYN_ALIAS   = libdali.dylib
LIB_DYN         = libdali.$(CURRENT_VER).dylib

all: static

static: $(LIB_A)

shared: $(LIB_SO)

dynamic: $(LIB_DYN)

$(LIB_A): $(LIB_A)($(LIB_OBJS))

$(LIB_SO): $(LIB_DOBJS)
	$(RM) $(LIB_SO) $(LIB_SO_ALIAS) $(LIB_SO_FILENAME)
	$(CC) $(CFLAGS) -shared -Wl,-soname -Wl,$(LIB_SO_ALIAS) -o $(LIB_SO) $(LIB_DOBJS)
	ln -s $(LIB_SO) $(LIB_SO_ALIAS)
	ln -s $(LIB_SO) $(LIB_SO_FILENAME)

$(LIB_DYN): $(LIB_DOBJS)
	$(RM) $(LIB_DYN) $(LIB_DYN_ALIAS)
	$(CC) $(CFLAGS) -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(CURRENT_VER) -install_name $(LIB_DYN_ALIAS) -o $(LIB_DYN) $(LIB_DOBJS)
	ln -sf $(LIB_DYN) $(LIB_DYN_ALIAS)

clean:
	-$(RM) $(LIB_OBJS) $(LIB_DOBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_ALIAS) \
	       $(LIB_SO_FILENAME) $(LIB_DYN) $(LIB_DYN_ALIAS)

install:
	@echo
	@echo "No install method, copy the library, header files, and"
	@echo "documentation to the preferred install location"
	@echo

.SUFFIXES: .c .o .lo

# Standard object building
.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

# Standard object building for dynamic library components using -fPIC
.c.lo:
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

=== libsrc/qlib2/Makefile ===
########################################################################

# NOTE: This Makefile can build and install
# a. 32-bit libraries
#	make all32
#	make install32
# b. 64-bit libraries
#	make all64
#	make install64
# c. Both 32-bit and 64-bit libraries (if system can build both)
#	make all
#	make installall
#
# Default is "make all" (32-bit and 64-bit)

########################################################################

# Start Configuration Section

# 1. Select installation dir.
# Installation in /share/apps.
#ROOTDIR	= /share/apps
#LEAPSECONDS = $(ROOTDIR)/etc/leapseconds

# Installation in /usr/local.
ROOTDIR = /usr/local
LEAPSECONDS = /usr/local/etc/leapseconds

# 2. Select OS library directory structure.
# Linux:
LIB32DIR= $(ROOTDIR)/lib
LIB64DIR= $(ROOTDIR)/lib64
MANDIR	= $(ROOTDIR)/share/man
MANEXT	= 3

# Solaris:
#LIB32DIR= $(ROOTDIR)/lib
#LIB64DIR= $(ROOTDIR)/lib/64
#MANDIR	= $(ROOTDIR)/man
#MANEXT	= 3

# 3. These should not have to be changed.
INCDIR	= $(ROOTDIR)/include
BINDIR	= $(ROOTDIR)/bin

# 4. Select compiler and options.
CC	= cc
COPT	= -O
CDBG	= -g
CNL	= -DNO_LEAPSECONDS
C64	= -m64
C32	= -m32
DLEAP	= -DLEAPSECONDS=\"$(LEAPSECONDS)\"
CFLAGS_SITE = -Wall

# -Dfortran_suffix is required for fortran Compilers that use the BSD
# convention of appending a "_" suffix to the subroutine or function name.
# -Dqlib2_fortran is required to compile the fortran interface routines.

CFLAGS	= $(CFLAGS_SITE) -Dfortran_suffix -Dqlib2_fortran

# 5.  Select default target (all32, all64, or both)
all:	all32 all64

# End Configuration Section

########################################################################

DIR	= qlib2

SRCS	= drm_utils.c ms_utils.c ms_pack.c ms_pack2.c ms_unpack.c \
	pack.c qda_utils.c qtime.c sdr_utils.c unpack.c qutils.c

HDR =	qlib2.h

HDRS =	qdefines.h msdatatypes.h timedef.h \
	qsteim.h sdr.h qda.h seismo.h data_hdr.h \
	qtime.h qutils.h qda_utils.h drm_utils.h sdr_utils.h \
	ms_utils.h ms_pack.h ms_pack2.h pack.h ms_unpack.h unpack.h

FHDR =	qlib2.inc
F90HDR = qlib2_90.inc

FHDRS =	qdefines.inc data_hdr.inc qfortran.inc
F90HDRS = qdefines.inc data_hdr_90.inc qfortran.inc

OBJS	= $(SRCS:%.c=%.o)

.PRECIOUS:	$(TARGET1) $(TARGET2) $(TARGET3) $(TARGET4) $(TARGET5) $(TARGET6) $(TARGET7) $(TARGET8)

L32DIR	= lib
L64DIR	= lib64
TARGET1	= $(L32DIR)/libqlib2.a
TARGET2	= $(L32DIR)/libqlib2.debug.a
TARGET3	= $(L32DIR)/libqlib2nl.a
TARGET4	= $(L32DIR)/libqlib2nl.debug.a
TARGET5	= $(L64DIR)/libqlib2.a
TARGET6	= $(L64DIR)/libqlib2.debug.a
TARGET7	= $(L64DIR)/libqlib2nl.a
TARGET8	= $(L64DIR)/libqlib2nl.debug.a
LLIBS	= $(L32DIR) $(L64DIR)

ALLHDRS	= $(HDR) $(FHDR) $(F90HDR)
ALLLIBS32 = $(TARGET1) $(TARGET2) $(TARGET3) $(TARGET4)
ALLLIBS64 = $(TARGET5) $(TARGET6) $(TARGET7) $(TARGET8)
ALLLIBS = $(ALLLIBS32) $(ALLLIBS64)
ALL	= $(ALLHDRS) $(ALLLIBS)

########################################################################

all32:	$(ALLHDRS) $(ALLLIBS32)
all64:	$(ALLHDRS) $(ALLLIBS64)

########################################################################

$(HDR):	$(HDRS)
	cat $(HDRS)  | grep -v '#include "'> $@

$(FHDR): $(FHDRS)
	cat $(FHDRS) | grep -v '#include "'> $@

$(F90HDR): $(F90HDRS)
	cat $(F90HDRS) | grep -v '#include "'> $@

$(L32DIR):	
	mkdir -p $(L32DIR)

$(L64DIR):	
	mkdir -p $(L64DIR)

$(TARGET1): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L32DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(C32) $(COPT) $(SRCS)
	ar r $(TARGET1) $(OBJS)
	-rm -f $(OBJS)

$(TARGET2): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L32DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(C32) $(CDBG) $(SRCS)
	ar r $(TARGET2) $(OBJS)
	-rm -f $(OBJS)

$(TARGET3): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L32DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(C32) $(CNL) $(COPT) $(SRCS)
	ar r $(TARGET3) $(OBJS)
	-rm -f $(OBJS)

$(TARGET4): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L32DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(C32) $(CNL) $(CDBG) $(SRCS)
	ar r $(TARGET4) $(OBJS)
	-rm -f $(OBJS)

$(TARGET5): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L64DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(COPT) $(C64) $(SRCS)
	ar r $(TARGET5) $(OBJS)
	-rm -f $(OBJS)

$(TARGET6): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L64DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(CDBG) $(C64) $(SRCS)
	ar r $(TARGET6) $(OBJS)
	-rm -f $(OBJS)

$(TARGET7): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L64DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(CNL) $(COPT) $(C64) $(SRCS)
	ar r $(TARGET7) $(OBJS)
	-rm -f $(OBJS)

$(TARGET8): $(SRCS) $(HDRS) $(HDR)
	mkdir -p $(L64DIR)
	$(CC) -c $(DLEAP) $(CFLAGS) $(CNL) $(CDBG) $(C64) $(SRCS)
	ar r $(TARGET8) $(OBJS)
	-rm -f $(OBJS)

install:	installall

installall:	install_hdr install_leapseconds install_man install_libs

install32:	install_hdr install_leapseconds install_man install_lib32

install64:	install_hdr install_leapseconds install_man install_lib64

install_hdr:
	cp $(HDR) $(FHDR) $(F90HDR) drm_seismo.h $(INCDIR)/

install_leapseconds:	leapseconds
	cp leapseconds $(LEAPSECONDS)

install_libs:	install_lib32 install_lib64

install_lib32:	$(ALLLIBS32)
	for lib in $(ALLLIBS32) ; do \
		cp $$lib $(LIB32DIR)/ ; \
	done

install_lib64:	$(ALLLIBS64) leapseconds
	for lib in $(ALLLIBS64) ; do \
		cp $$lib $(LIB64DIR)/ ; \
	done

install_man:	FORCE
	cp qlib2.man $(MANDIR)/man$(MANEXT)/qlib2.$(MANEXT)

clean:
	-rm -f *.o $(ALL)

veryclean:	clean

tar:
	(cd .. && tar cf - $(DIR)/*.c $(DIR)/*.h $(DIR)/Makefile \
		$(DIR)/*.inc $(DIR)/*.man \
		$(DIR)/README $(DIR)/CHANGES $(DIR)/leapseconds ) \
	| gzip > /tmp/$(DIR).tar.gz

$(QLIB2):	FORCE
	cd ../qlib2 && $(MAKE)

FORCE:

cleandepend:
	makedepend

depend:	$(HDR) $(FHDR)
	makedepend $(CFLAGS) *.c
	sed -e "s/^[^ 	]*\.o/$(TARGET)(&)/" < Makefile > Makefile.new \
		&& mv Makefile.new Makefile

########################################################################
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== archiving/mole/mysql-connector-c-6.0.2/CMakeLists.txt ===
# Copyright (C) 2006 MySQL AB
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)
IF(COMMAND CMAKE_POLICY)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)

PROJECT(libmysql)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "Release")
ENDIF(NOT CMAKE_BUILD_TYPE)

# This reads user configuration, generated by configure.js.
IF(WIN32 AND EXISTS ${CMAKE_SOURCE_DIR}/win/configure.data)
  INCLUDE(${CMAKE_SOURCE_DIR}/win/configure.data)
ENDIF(WIN32 AND EXISTS ${CMAKE_SOURCE_DIR}/win/configure.data)

IF(CMAKE_COMPILER_IS_GNUCXX)
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -m32")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fno-rtti -fno-exceptions -m32")
  SET(CMAKE_CXX_COMPILER "${CMAKE_C_COMPILER}" CACHE INTERNAL "C++ Compiler" FORCE)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)


SET(PROTOCOL_VERSION "10")
SET(SHARED_LIB_VERSION "16.0.0")

# This roughly corresponds to the MySQL server version we work with
SET(CONNECTOR_C_MAJOR "6")
SET(CONNECTOR_C_MINOR "0")
SET(CONNECTOR_C_PATCH "2")
SET(CONNECTOR_C_LEVEL "")

# XXX: these need to go away -- we're not the server.
SET(MYSQL_SERVER_VERSION "6.0.0")
SET(MYSQL_VERSION_ID     "60000")

SET(CONNECTOR_C_NUMERIC_VERSION "${CONNECTOR_C_MAJOR}.${CONNECTOR_C_MINOR}.${CONNECTOR_C_PATCH}")
SET(CONNECTOR_C_VERSION         "${CONNECTOR_C_NUMERIC_VERSION}${CONNECTOR_C_LEVEL}")

IF(WIN32)
  FILE(WRITE "${CMAKE_SOURCE_DIR}/win/version.cmake" "SET(CONNECTOR_PRODUCT_VERSION ${CONNECTOR_C_NUMERIC_VERSION})
SET(CONNECTOR_PRODUCT_LEVEL ${CONNECTOR_C_LEVEL})")
ENDIF(WIN32)

SET(MYSQL_TCP_PORT_DEFAULT "3306")
IF(NOT MYSQL_TCP_PORT)
  SET(MYSQL_TCP_PORT ${MYSQL_TCP_PORT_DEFAULT})
  SET(MYSQL_TCP_PORT_DEFAULT "0")
ENDIF(NOT MYSQL_TCP_PORT)
IF(NOT MYSQL_UNIX_ADDR)
  SET(MYSQL_UNIX_ADDR "/tmp/mysql.sock")
ENDIF(NOT MYSQL_UNIX_ADDR)
IF(NOT COMPILATION_COMMENT)
  SET(COMPILATION_COMMENT "Source distribution")
ENDIF(NOT COMPILATION_COMMENT)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/include/mysql_version.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/include/mysql_version.h @ONLY)

IF(NOT SKIP_SSL AND NOT WITH_OPENSSL)
  ADD_DEFINITIONS(-DHAVE_YASSL -DYASSL_PURE_C -DHAVE_OPENSSL)
ENDIF(NOT SKIP_SSL AND NOT WITH_OPENSSL)

# Set debug options
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DFORCE_INIT_OF_VARS -m32")

# Do not use SAFEMALLOC for Windows builds, as Debug CRT has the same
# functionality Neither SAFE_MUTEX works on Windows and it has been
# explicitely undefined in my_pthread.h
IF(NOT WIN32)
  SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DSAFEMALLOC -DSAFE_MUTEX -m32")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DSAFEMALLOC -DSAFE_MUTEX -m32")
ENDIF(NOT WIN32)


SET(localstatedir "C:\\mysql\\data")

IF(__NT__)
  ADD_DEFINITIONS(-D__NT__)
ENDIF(__NT__)
IF(CYBOZU)
  ADD_DEFINITIONS(-DCYBOZU)
ENDIF(CYBOZU)

IF(EXTRA_DEBUG)
  ADD_DEFINITIONS(-D EXTRA_DEBUG)
ENDIF(EXTRA_DEBUG)

IF(ENABLED_DEBUG_SYNC)
  ADD_DEFINITIONS(-D ENABLED_DEBUG_SYNC)
ENDIF(ENABLED_DEBUG_SYNC)
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DENABLED_DEBUG_SYNC -m32")
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DENABLED_DEBUG_SYNC -m32")

IF(BACKUP_TEST)
  ADD_DEFINITIONS(-D BACKUP_TEST)
ENDIF(BACKUP_TEST)

# in some places we use DBUG_OFF
SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DDBUG_OFF -m32")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -DDBUG_OFF -m32")
SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -DDBUG_OFF -m32")
SET(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -DDBUG_OFF -m32")

# enable debug info also in Release build, and create PDB to be able to analyze crashes
IF(WIN32)
  SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Zi")
  SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /Zi")
  SET(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /debug")
ENDIF(WIN32)


IF(CMAKE_GENERATOR MATCHES "Visual Studio 7")
    # VS2003 needs the /Op compiler option to disable floating point
# optimizations
    SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /Op")
    SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Op")
    SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} /Op")
    SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /Op")
    SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /Op")
    SET(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} /Op")
ENDIF(CMAKE_GENERATOR MATCHES "Visual Studio 7")

#TODO: update the code and remove the disabled warnings
IF(WIN32)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4800 /wd4805")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4800 /wd4805")
ENDIF(WIN32)

# Disable warnings in Visual Studio 8 and above
IF(MSVC AND NOT CMAKE_GENERATOR MATCHES "Visual Studio 7")
    SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /wd4996")
    SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /wd4996")
    SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} /wd4996")
    SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /wd4996")
    SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /wd4996")
    SET(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} /wd4996")
ENDIF(MSVC AND NOT CMAKE_GENERATOR MATCHES "Visual Studio 7")


# Settings for Visual Studio 7 and above.  
IF(MSVC)
    # replace /MDd with /MTd
    STRING(REPLACE "/MD"  "/MT"  CMAKE_C_FLAGS_RELEASE          ${CMAKE_C_FLAGS_RELEASE})
    STRING(REPLACE "/MD"  "/MT"  CMAKE_C_FLAGS_RELWITHDEBINFO   ${CMAKE_C_FLAGS_RELWITHDEBINFO})
    STRING(REPLACE "/MDd" "/MTd" CMAKE_C_FLAGS_DEBUG            ${CMAKE_C_FLAGS_DEBUG})
    STRING(REPLACE "/MDd" "/MTd" CMAKE_C_FLAGS_DEBUG_INIT       ${CMAKE_C_FLAGS_DEBUG_INIT})

    STRING(REPLACE "/MD"  "/MT"  CMAKE_CXX_FLAGS_RELEASE        ${CMAKE_CXX_FLAGS_RELEASE})
    STRING(REPLACE "/MD"  "/MT"  CMAKE_CXX_FLAGS_RELWITHDEBINFO ${CMAKE_CXX_FLAGS_RELWITHDEBINFO})
    STRING(REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG          ${CMAKE_CXX_FLAGS_DEBUG})
    STRING(REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG_INIT     ${CMAKE_CXX_FLAGS_DEBUG_INIT})

    # generate map files, set stack size (see bug#20815)
    SET(thread_stack_size 1048576)
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /STACK:${thread_stack_size}")
    ADD_DEFINITIONS(-DPTHREAD_STACK_MIN=${thread_stack_size})

    # remove support for Exception handling
    STRING(REPLACE "/GX"   "" CMAKE_CXX_FLAGS            ${CMAKE_CXX_FLAGS})
    STRING(REPLACE "/EHsc" "" CMAKE_CXX_FLAGS            ${CMAKE_CXX_FLAGS})
    STRING(REPLACE "/EHsc" "" CMAKE_CXX_FLAGS_INIT       ${CMAKE_CXX_FLAGS_INIT})
    STRING(REPLACE "/EHsc" "" CMAKE_CXX_FLAGS_DEBUG_INIT ${CMAKE_CXX_FLAGS_DEBUG_INIT})
    
    # Mark 32 bit executables large address aware so they can 
    # use > 2GB address space
    IF(CMAKE_SIZEOF_VOID_P MATCHES 4)
      SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /LARGEADDRESSAWARE")
    ENDIF(CMAKE_SIZEOF_VOID_P MATCHES 4)
    
    # Disable automatic manifest generation.
    STRING(REPLACE "/MANIFEST" "/MANIFEST:NO" CMAKE_EXE_LINKER_FLAGS 
    	   ${CMAKE_EXE_LINKER_FLAGS})
    # Explicitly disable it since it is the default for newer versions of VS
    STRING(REGEX MATCH "MANIFEST:NO" tmp_manifest ${CMAKE_EXE_LINKER_FLAGS})
    IF(NOT tmp_manifest)
        SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /MANIFEST:NO")
    ENDIF(NOT tmp_manifest)
ENDIF(MSVC)

IF(WIN32)
  ADD_DEFINITIONS("-D_WINDOWS -D__WIN__ -D_CRT_SECURE_NO_DEPRECATE")
ENDIF(WIN32)

# This definition is necessary to work around a bug with Intellisense
# described here: http://tinyurl.com/2cb428.  Syntax highlighting is important
# for proper debugger functionality.
IF(WIN32 AND CMAKE_SIZEOF_VOID_P MATCHES 8)
   MESSAGE(STATUS "Detected 64-bit platform.")
   ADD_DEFINITIONS("-D_WIN64")
ENDIF(WIN32 AND CMAKE_SIZEOF_VOID_P MATCHES 8)

IF(EMBED_MANIFESTS)
    # Search for the tools (mt, makecat, signtool) necessary for embedding
    # manifests and signing executables with the MySQL AB authenticode cert.
    #
    # CMake will first search it's defaults (CMAKE_FRAMEWORK_PATH, 
    # CMAKE_APPBUNDLE_PATH, CMAKE_PROGRAM_PATH and the system PATH) followed 
    # by the listed paths which are the current possible defaults and should be
    # updated when necessary.  
    # 
    # The custom manifests are designed to be compatible with all mt versions.
    # The MySQL AB Authenticode certificate is available only internally.  
    # Others should store a single signing certificate in a local cryptographic
    # service provider and alter the signtool command as necessary.
    FIND_PROGRAM(HAVE_MANIFEST_TOOL NAMES mt
                 PATHS
                 "$ENV{PROGRAMFILES}/Microsoft Visual Studio 8/VC/bin"
                 "$ENV{PROGRAMFILES}/Microsoft Visual Studio 8/Common7/Tools/Bin"
                 "$ENV{PROGRAMFILES}/Microsoft Visual Studio 8/SDK/v2.0/Bin")
    FIND_PROGRAM(HAVE_CATALOG_TOOL NAMES makecat
                 PATHS
                 "$ENV{PROGRAMFILES}/Microsoft Visual Studio 8/Common7/Tools/Bin")
    FIND_PROGRAM(HAVE_SIGN_TOOL NAMES signtool
                 PATHS
                 "$ENV{PROGRAMFILES}/Microsoft Visual Studio 8/Common7/Tools/Bin"
                 "$ENV{PROGRAMFILES}/Microsoft Visual Studio 8/SDK/v2.0/Bin")

    IF(HAVE_MANIFEST_TOOL)
        MESSAGE(STATUS "Found Mainfest Tool.")
    ELSE(HAVE_MANIFEST_TOOL)
        MESSAGE(FATAL_ERROR "Manifest tool, mt.exe, can't be found.")
    ENDIF(HAVE_MANIFEST_TOOL)
    IF(HAVE_CATALOG_TOOL)
        MESSAGE(STATUS "Found Catalog Tool.")
    ELSE(HAVE_CATALOG_TOOL)
        MESSAGE(FATAL_ERROR "Catalog tool, makecat.exe, can't be found.")
    ENDIF(HAVE_CATALOG_TOOL)
    IF(HAVE_SIGN_TOOL)
        MESSAGE(STATUS "Found Sign Tool. Embedding custom manifests and signing executables.")
    ELSE(HAVE_SIGN_TOOL)
        MESSAGE(FATAL_ERROR "Sign tool, signtool.exe, can't be found.")
    ENDIF(HAVE_SIGN_TOOL)

    # Set the processor architecture.
    IF(CMAKE_GENERATOR MATCHES "Visual Studio 8 2005 Win64")
    	SET(PROCESSOR_ARCH "amd64") 
    ELSE(CMAKE_GENERATOR MATCHES "Visual Studio 8 2005 Win64")
    	SET(PROCESSOR_ARCH "X86")
    ENDIF(CMAKE_GENERATOR MATCHES "Visual Studio 8 2005 Win64")
ENDIF(EMBED_MANIFESTS)

IF(WIN32)
  SET(SHAREDIR "share")
  # XXX is this still a useful default?
  SET(DEFAULT_CHARSET_HOME "C:/mysql/")
ELSE(WIN32)
  SET(SHAREDIR "${CMAKE_INSTALL_PREFIX}/share/mysql")
  SET(DEFAULT_CHARSET_HOME "${CMAKE_INSTALL_PREFIX}")
ENDIF(WIN32)

INCLUDE(${CMAKE_SOURCE_DIR}/CMakePlatformTests.txt)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/include/my_config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/include/my_config.h)

ADD_SUBDIRECTORY(vio)
ADD_SUBDIRECTORY(extlib/dbug)
ADD_SUBDIRECTORY(strings)
ADD_SUBDIRECTORY(extlib/regex)
IF(WITH_EXTERNAL_ZLIB)
  INCLUDE(FindZLIB)
  IF(NOT ZLIB_FOUND)
    MESSAGE(FATAL_ERROR "Unable to find external Zlib library and headers.")
  ENDIF(NOT ZLIB_FOUND)
ELSE(WITH_EXTERNAL_ZLIB)
  SET(ZLIB_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/extlib/zlib")
  ADD_SUBDIRECTORY(extlib/zlib)
ENDIF(WITH_EXTERNAL_ZLIB)
ADD_DEFINITIONS(-D HAVE_COMPRESS)

ADD_SUBDIRECTORY(mysys)
IF(NOT SKIP_SSL)
  IF(NOT WITH_OPENSSL)
    ADD_SUBDIRECTORY(extlib/yassl)
    ADD_SUBDIRECTORY(extlib/yassl/taocrypt)
  ELSE(NOT WITH_OPENSSL)
    INCLUDE(FindOpenSSL)
    IF(OPENSSL_FOUND)

=== eew/pick_ffp/picker/Makefile ===
# Makefile for picker test
#
# Invocation:
#     Solaris: make -f Make_picker_func_test
#     Linux:   gmake -Rf Make_picker_func_test

BINDIR=./
INCLUDE_DIR=./


# Options specific for GCC
# this is now set in the env var
#ifndef CC
#CC = gcc
#endif
#
#ifndef CCFLAGS
#
CCFLAGS_BASIC =  -fPIC -I.. $(GLOBALFLAGS)
#
# optimized
#CCFLAGS = -O3 $(CCFLAGS_BASIC)
#
# profile
#CCFLAGS=-O3 -pg $(CCFLAGS_BASIC)
#
# debug - gdb, valgrind, ...
CCFLAGS = $(CCFLAGS_BASIC) -g
# valgrind --leak-check=yes  exe_name <args>
# valgrind --leak-check=full --show-reachable=yes exe_name exe_name <args>
#endif


all : ${BINDIR}/picker_func_test ${BINDIR}/picker_func_test_memory


OBJS_PICK=FilterPicker5.o FilterPicker5_Memory.o PickData.o

FilterPicker5.o : FilterPicker5.h FilterPicker5.c FilterPicker5_Memory.o PickData.o
FilterPicker5_Memory.o : FilterPicker5_Memory.h FilterPicker5_Memory.c
PickData.o : PickData.h PickData.c


%.o : %.c
	$(CC) -c $(CCFLAGS) $< -o $@


clean :
	rm -f *.o
	rm -f *.a
	rm -f ${BINDIR}/picker_func_test_memory ${BINDIR}/picker_func_test


# --------------------------------------------------------------------------
# picker_func_test_memory
#
OBJ_TEST1=picker_func_test_memory.o $(OBJS_PICK)
picker_func_test_memory : ${BINDIR}/picker_func_test_memory
picker_func_test_memory.o : picker_func_test_memory.c FilterPicker5.o
${BINDIR}/picker_func_test_memory : ${OBJ_TEST1}
	$(CC) ${OBJ_TEST1} ${CCFLAGS} -o ${BINDIR}/picker_func_test_memory -lm
# --------------------------------------------------------------------------
# --------------------------------------------------------------------------
# picker_func_test
#
OBJ_TEST2=picker_func_test.o $(OBJS_PICK)
picker_func_test : ${BINDIR}/picker_func_test
picker_func_test.o : picker_func_test.c FilterPicker5.o
${BINDIR}/picker_func_test : ${OBJ_TEST2}
	$(CC) ${OBJ_TEST2} ${CCFLAGS} -o ${BINDIR}/picker_func_test -lm
# --------------------------------------------------------------------------

=== libsrc/libdali/example/Makefile ===

# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use

# GCC specific parameters
GCC = gcc
GCCFLAGS = -O2 -Wall -I..

# Required compiler parameters
CFLAGS += -I..

LDFLAGS = -L..
LDLIBS = -ldali

# For SunOS/Solaris uncomment the following line
#LDLIBS = -ldali -lsocket -lnsl -lrt

BIN = daliclient

OBJS = daliclient.o

all: $(BIN)

$(BIN): $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(LDFLAGS) $(LDLIBS)

static: $(OBJS)
	$(CC) -static $(CFLAGS) -o $(BIN) $(OBJS) $(LDFLAGS) $(LDLIBS)

cc:
	@$(MAKE) "CC=$(CC)" "CFLAGS=$(CFLAGS)"

gcc:
	@$(MAKE) "CC=$(GCC)" "CFLAGS=$(GCCFLAGS)"

debug:
	$(MAKE) "CC=$(CC)" "CFLAGS=-g $(CFLAGS)"

gccdebug:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-g $(GCCFLAGS)"

clean:
	rm -f $(OBJS) $(BIN)

=== seismic_processing/pick_FP/picker/Makefile ===
# Makefile for picker test
#
# Invocation:
#     Solaris: make -f Make_picker_func_test
#     Linux:   gmake -Rf Make_picker_func_test

BINDIR=./
INCLUDE_DIR=./


# Options specific for GCC
# this is now set in the env var
#ifndef CC
#CC = gcc
#endif
#
#ifndef CCFLAGS
#
CCFLAGS_BASIC = -fPIC -I.. $(GLOBALFLAGS)
#
# optimized
#CCFLAGS = -O3 $(CCFLAGS_BASIC)
#
# profile
#CCFLAGS=-O3 -pg $(CCFLAGS_BASIC)
#
# debug - gdb, valgrind, ...
CCFLAGS = $(CCFLAGS_BASIC) -g
# valgrind --leak-check=yes  exe_name <args>
# valgrind --leak-check=full --show-reachable=yes exe_name exe_name <args>
#endif


all : ${BINDIR}/picker_func_test ${BINDIR}/picker_func_test_memory


OBJS_PICK=FilterPicker5.o FilterPicker5_Memory.o PickData.o

FilterPicker5.o : FilterPicker5.h FilterPicker5.c FilterPicker5_Memory.o PickData.o
FilterPicker5_Memory.o : FilterPicker5_Memory.h FilterPicker5_Memory.c
PickData.o : PickData.h PickData.c


%.o : %.c
	$(CC) -c $(CCFLAGS) $< -o $@


clean :
	rm -f *.o
	rm -f *.a
	rm -f ${BINDIR}/picker_func_test_memory ${BINDIR}/picker_func_test


# --------------------------------------------------------------------------
# picker_func_test_memory
#
OBJ_TEST1=picker_func_test_memory.o $(OBJS_PICK)
picker_func_test_memory : ${BINDIR}/picker_func_test_memory
picker_func_test_memory.o : picker_func_test_memory.c FilterPicker5.o
${BINDIR}/picker_func_test_memory : ${OBJ_TEST1}
	$(CC) ${OBJ_TEST1} ${CCFLAGS} -o ${BINDIR}/picker_func_test_memory -lm
# --------------------------------------------------------------------------
# --------------------------------------------------------------------------
# picker_func_test
#
OBJ_TEST2=picker_func_test.o $(OBJS_PICK)
picker_func_test : ${BINDIR}/picker_func_test
picker_func_test.o : picker_func_test.c FilterPicker5.o
${BINDIR}/picker_func_test : ${OBJ_TEST2}
	$(CC) ${OBJ_TEST2} ${CCFLAGS} -o ${BINDIR}/picker_func_test -lm
# --------------------------------------------------------------------------

=== changelog ===
earthworm (7.10-1ubuntu1) UNRELEASED; urgency=medium

  * Initial release. 
  * Adding in new version of Swarm (2.8.7)

 -- Alexander Schnackenberg <a.schnackenberg@isti.com>  Tue, 05 Feb 2019 13:57:06 -0500

=== control ===
Source: earthworm
Section: science
Priority: optional
Maintainer: Alexander Schnackenberg <a.schnackenberg@isti.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.3.0.1
Homepage: www.earthwormcentral.org

Package: earthworm
Architecture: any
Depends: libgfortran4
Description: Earthworm provides users with an advanced open source seismic data acquisition and processing
 capable of calculating earthquake locations and magnitudes.
 . 
 The Earthworm system is a robust and mature software tool, incorporating over 25 years of design and
 development.

=== rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -Wextra -Wno-sign-compare -Wno-unknown-pragmas -Wno-pragmas -Wformat
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
export EW_HOME=/opt/earthworm
export EW_VERSION=earthworm-7.10
export PATH := $(PATH):$(EW_HOME)/$(EW_VERSION)/bin
export EWBITS := 64
export WARNFLAGS:=-Wall -Wextra -Wno-sign-compare -Wno-unknown-pragmas -Wno-pragmas -Wformat
export GLOBALFLAGS:=-m$(EWBITS) -g -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I$(EW_HOME)/$(EW_VERSION)/include $(WARNFLAGS)
export PLATFORM:=LINUX

export LINK_LIBS:=-lm -lpthread

export CFLAGS:=$(GLOBALFLAGS)
export CXXFLAGS:=$(GLOBALFLAGS)

FC=gfortran
export FC
export FFLAGS:=$(TARGET)-O -g -Wunitialized -Werror=line-truncation -ffpe-trap=invalid,zero,overflow -fbacktrace

%:
	dh $@ --with javahelper --sourcedirectory=src

clean:
	cd src; make clean_unix; make clean_bin_unix

build:
	cd src; make unix

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp -R --parents /opt/earthworm/earthworm-7.10/bin /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/doc /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/environment /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/include /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/include_cpp /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/lib /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/params /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/src /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp /opt/earthworm/earthworm-7.10/README.txt /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/README.txt
	cp /opt/earthworm/earthworm-7.10/help.txt /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/help.txt
	cp /opt/earthworm/earthworm-7.10/release_notes.working /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/release_notes.v7.10
	mkdir /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian
	cp /opt/earthworm/earthworm-7.10/debian/changelog /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/changelog
	cp /opt/earthworm/earthworm-7.10/debian/compat /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/compat
	cp /opt/earthworm/earthworm-7.10/debian/control /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/control
	cp /opt/earthworm/earthworm-7.10/debian/copyright /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/copyright
	cp /opt/earthworm/earthworm-7.10/debian/rules /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/rules

binary: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installinfo -a
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
